| Home · All Classes · All Namespaces · Modules · Functions · Files

Signals | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
Tp::Client::ConnectionInterfaceCellularInterface Class Reference
Client-side proxies » Connection proxies

`#include <TelepathyQt/Connection>`

Inheritance diagram for Tp::Client::ConnectionInterfaceCellularInterface:
[legend]

## Signals

void | IMSIChanged (const QString &IMSI)
Signals inherited from Tp::AbstractInterface
void | propertiesChanged (const QVariantMap &changedProperties, const QStringList &invalidatedProperties)

## Public Member Functions

| ConnectionInterfaceCellularInterface (const QString &busName, const QString &objectPath, QObject *parent=0)
| ConnectionInterfaceCellularInterface (const QDBusConnection &connection, const QString &busName, const QString &objectPath, QObject *parent=0)
| ConnectionInterfaceCellularInterface (Tp::DBusProxy *proxy)
| ConnectionInterfaceCellularInterface (const Tp::Client::ConnectionInterface &mainInterface)
| ConnectionInterfaceCellularInterface (const Tp::Client::ConnectionInterface &mainInterface, QObject *parent)
Tp::PendingVariant * | requestPropertyMessageValidityPeriod () const
Tp::PendingOperation * | setPropertyMessageValidityPeriod (uint newValue)
Tp::PendingVariant * | requestPropertyOverrideMessageServiceCentre () const
Tp::PendingOperation * | setPropertyOverrideMessageServiceCentre (bool newValue)
Tp::PendingVariant * | requestPropertyMessageServiceCentre () const
Tp::PendingOperation * | setPropertyMessageServiceCentre (QString newValue)
Tp::PendingVariant * | requestPropertyIMSI () const
Tp::PendingVariant * | requestPropertyMessageReducedCharacterSet () const
Tp::PendingOperation * | setPropertyMessageReducedCharacterSet (bool newValue)
Tp::PendingVariant * | requestPropertyMessageNationalCharacterSet () const
Tp::PendingOperation * | setPropertyMessageNationalCharacterSet (QString newValue)
Tp::PendingVariantMap * | requestAllProperties () const
Public Member Functions inherited from Tp::AbstractInterface
virtual | ~AbstractInterface ()
bool | isValid () const
QString | invalidationReason () const
QString | invalidationMessage () const
void | setMonitorProperties (bool monitorProperties)
bool | isMonitoringProperties () const
Public Member Functions inherited from QDBusAbstractInterface
virtual | ~QDBusAbstractInterface ()
bool | isValid () const
QDBusConnection | connection () const
QString | service () const
QString | path () const
QString | interface () const
QDBusError | lastError () const
void | setTimeout (int timeout)
int | timeout () const
QDBusMessage | call (const QString &method, const QVariant &arg1, const QVariant &arg2, const QVariant &arg3, const QVariant &arg4, const QVariant &arg5, const QVariant &arg6, const QVariant &arg7, const QVariant &arg8)
QDBusMessage | call (QDBus::CallMode mode, const QString &method, const QVariant &arg1, const QVariant &arg2, const QVariant &arg3, const QVariant &arg4, const QVariant &arg5, const QVariant &arg6, const QVariant &arg7, const QVariant &arg8)
QDBusMessage | callWithArgumentList (QDBus::CallMode mode, const QString &method, const QList< QVariant > &args)
bool | callWithCallback (const QString &method, const QList< QVariant > &args, QObject *receiver, const char *returnMethod, const char *errorMethod)
bool | callWithCallback (const QString &method, const QList< QVariant > &args, QObject *receiver, const char *slot)
QDBusPendingCall | asyncCall (const QString &method, const QVariant &arg1, const QVariant &arg2, const QVariant &arg3, const QVariant &arg4, const QVariant &arg5, const QVariant &arg6, const QVariant &arg7, const QVariant &arg8)
QDBusPendingCall | asyncCallWithArgumentList (const QString &method, const QList< QVariant > &args)
Public Member Functions inherited from QObject
| QObject (QObject *parent)
virtual | ~QObject ()
virtual bool | event (QEvent *e)
virtual bool | eventFilter (QObject *watched, QEvent *event)
virtual const QMetaObject * | metaObject () const
QString | objectName () const
void | setObjectName (const QString &name)
bool | isWidgetType () const
bool | signalsBlocked () const
bool | blockSignals (bool block)
QThread * | thread () const
void | moveToThread (QThread *targetThread)
int | startTimer (int interval)
void | killTimer (int id)
T | findChild (const QString &name) const
QList< T > | findChildren (const QString &name) const
QList< T > | findChildren (const QRegExp &regExp) const
QObject * | child (const char *objName, const char *inheritsClass, bool recursiveSearch) const
const QObjectList & | children () const
void | setParent (QObject *parent)
void | installEventFilter (QObject *filterObj)
void | removeEventFilter (QObject *obj)
bool | connect (const QObject *sender, const char *signal, const char *method, Qt::ConnectionType type) const
bool | disconnect (const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *receiver, const char *method)
void | dumpObjectTree ()
void | dumpObjectInfo ()
bool | setProperty (const char *name, const QVariant &value)
QVariant | property (const char *name) const
QList< QByteArray > | dynamicPropertyNames () const
void | destroyed (QObject *obj)
QObject * | parent () const
bool | inherits (const char *className) const
void | deleteLater ()
| QObject (QObject *parent, const char *name)
void | insertChild (QObject *object)
void | removeChild (QObject *object)
bool | isA (const char *className) const
const char * | className () const
const char * | name () const
const char * | name (const char *defaultName) const
void | setName (const char *name)

## Static Public Member Functions

static QLatin1String | staticInterfaceName ()
Static Public Member Functions inherited from QObject
QString | tr (const char *sourceText, const char *disambiguation, int n)
QString | trUtf8 (const char *sourceText, const char *disambiguation, int n)
bool | connect (const QObject *sender, const char *signal, const QObject *receiver, const char *method, Qt::ConnectionType type)
bool | connect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method, Qt::ConnectionType type)
bool | disconnect (const QObject *sender, const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method)

## Protected Member Functions

virtual void | invalidate (Tp::DBusProxy *, const QString &, const QString &)
Protected Member Functions inherited from Tp::AbstractInterface
| AbstractInterface (DBusProxy *proxy, const QLatin1String &interface)
| AbstractInterface (const QString &busName, const QString &path, const QLatin1String &interface, const QDBusConnection &connection, QObject *parent)
PendingVariant * | internalRequestProperty (const QString &name) const
PendingOperation * | internalSetProperty (const QString &name, const QVariant &newValue)
PendingVariantMap * | internalRequestAllProperties () const
Protected Member Functions inherited from QObject
QObject * | sender () const
int | senderSignalIndex () const
int | receivers (const char *signal) const
virtual void | timerEvent (QTimerEvent *event)
virtual void | childEvent (QChildEvent *event)
virtual void | customEvent (QEvent *event)
virtual void | connectNotify (const char *signal)
virtual void | disconnectNotify (const char *signal)
bool | checkConnectArgs (const char *signal, const QObject *object, const char *method)

## Additional Inherited Members

Protected Slots inherited from Tp::AbstractInterface
Static Protected Member Functions inherited from QObject
QByteArray | normalizeSignalSlot (const char *signalSlot)
Properties inherited from QObject
| objectName

## Detailed Description

Proxy class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Connection.Interface.Cellular".

## Constructor & Destructor Documentation

## § ConnectionInterfaceCellularInterface() [1/5]

Tp::Client::ConnectionInterfaceCellularInterface::ConnectionInterfaceCellularInterface | ( | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a ConnectionInterfaceCellularInterface associated with the given object on the session bus.

Parameters

  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

## § ConnectionInterfaceCellularInterface() [2/5]

Tp::Client::ConnectionInterfaceCellularInterface::ConnectionInterfaceCellularInterface | ( | const QDBusConnection & | connection,
|  | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a ConnectionInterfaceCellularInterface associated with the given object on the given bus.

Parameters

  connection | The bus via which the object can be reached.
  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

## § ConnectionInterfaceCellularInterface() [3/5]

Tp::Client::ConnectionInterfaceCellularInterface::ConnectionInterfaceCellularInterface | ( | Tp::DBusProxy * | proxy | ) |

Creates a ConnectionInterfaceCellularInterface associated with the same object as the given proxy.

Parameters

  proxy | The proxy to use. It will also be the QObject::parent() for this object.

## § ConnectionInterfaceCellularInterface() [4/5]

Tp::Client::ConnectionInterfaceCellularInterface::ConnectionInterfaceCellularInterface | ( | const Tp::Client::ConnectionInterface & | mainInterface | ) |

explicit

Creates a ConnectionInterfaceCellularInterface associated with the same object as the given proxy. Additionally, the created proxy will have the same parent as the given proxy.

Parameters

  mainInterface | The proxy to use.

## § ConnectionInterfaceCellularInterface() [5/5]

Tp::Client::ConnectionInterfaceCellularInterface::ConnectionInterfaceCellularInterface | ( | const Tp::Client::ConnectionInterface & | mainInterface,
|  | QObject * | parent
| ) |  |

Creates a ConnectionInterfaceCellularInterface associated with the same object as the given proxy. However, a different parent object can be specified.

Parameters

  mainInterface | The proxy to use.
  parent | Passed to the parent class constructor.

## Member Function Documentation

## § staticInterfaceName()

static QLatin1String Tp::Client::ConnectionInterfaceCellularInterface::staticInterfaceName | ( |  | ) |

inline static

Returns the name of the interface "org.freedesktop.Telepathy.Connection.Interface.Cellular", which this class represents.

Returns
  The D-Bus interface name.

## § requestPropertyMessageValidityPeriod()

Tp::PendingVariant* Tp::Client::ConnectionInterfaceCellularInterface::requestPropertyMessageValidityPeriod | ( |  | ) | const

inline

Asynchronous getter for the remote object property `MessageValidityPeriod` of type `uint`.

Define how long should the service centre try message delivery before giving up, failing delivery and deleting the message. A value of 0 means to use the service centre's default period.

The value specified is in seconds. Note that various protocols or implementations may round the value up (eg. to a minute or hour precision). The maximum validity period may vary depending on protocol or provider.

Returns
  A pending variant which will emit finished when the property has been retrieved.

## § setPropertyMessageValidityPeriod()

Tp::PendingOperation* Tp::Client::ConnectionInterfaceCellularInterface::setPropertyMessageValidityPeriod | ( | uint | newValue | ) |

inline

Asynchronous setter for the remote object property `MessageValidityPeriod` of type `uint`.

Define how long should the service centre try message delivery before giving up, failing delivery and deleting the message. A value of 0 means to use the service centre's default period.

The value specified is in seconds. Note that various protocols or implementations may round the value up (eg. to a minute or hour precision). The maximum validity period may vary depending on protocol or provider.

Returns
  A pending operation which will emit finished when the property has been set.

## § requestPropertyOverrideMessageServiceCentre()

Tp::PendingVariant* Tp::Client::ConnectionInterfaceCellularInterface::requestPropertyOverrideMessageServiceCentre | ( |  | ) | const

inline

Asynchronous getter for the remote object property `OverrideMessageServiceCentre` of type `bool`.

If `True`, SMSes will be sent via the service centre specified by MessageServiceCentre . If `False`, the SIM's default SMSC will be used, ignoring the value of MessageServiceCentre.

It could be desirable for a configuration interface to remember the user's previous choice of custom SMSC, even if it's not in use. This boolean allows that choice to be saved as an account parameter by Mission Control, rather than the UI needing to save it elsewhere to be restored if the user wants to reactivate it.

Returns
  A pending variant which will emit finished when the property has been retrieved.

## § setPropertyOverrideMessageServiceCentre()

Tp::PendingOperation* Tp::Client::ConnectionInterfaceCellularInterface::setPropertyOverrideMessageServiceCentre | ( | bool | newValue | ) |

inline

Asynchronous setter for the remote object property `OverrideMessageServiceCentre` of type `bool`.

If `True`, SMSes will be sent via the service centre specified by MessageServiceCentre . If `False`, the SIM's default SMSC will be used, ignoring the value of MessageServiceCentre.

It could be desirable for a configuration interface to remember the user's previous choice of custom SMSC, even if it's not in use. This boolean allows that choice to be saved as an account parameter by Mission Control, rather than the UI needing to save it elsewhere to be restored if the user wants to reactivate it.

Returns
  A pending operation which will emit finished when the property has been set.

## § requestPropertyMessageServiceCentre()

Tp::PendingVariant* Tp::Client::ConnectionInterfaceCellularInterface::requestPropertyMessageServiceCentre | ( |  | ) | const

inline

Asynchronous getter for the remote object property `MessageServiceCentre` of type `QString`.

Address for the messaging service centre. Typically (as is the case for GSM's SMSC), it's the ISDN / telephony address (ie. a phone number). If OverrideMessageServiceCentre is `False`, this property's value should be ignored by the CM in favour of the SIM's default SMSC.

Returns
  A pending variant which will emit finished when the property has been retrieved.

## § setPropertyMessageServiceCentre()

Tp::PendingOperation* Tp::Client::ConnectionInterfaceCellularInterface::setPropertyMessageServiceCentre | ( | QString | newValue | ) |

inline

Asynchronous setter for the remote object property `MessageServiceCentre` of type `QString`.

Address for the messaging service centre. Typically (as is the case for GSM's SMSC), it's the ISDN / telephony address (ie. a phone number). If OverrideMessageServiceCentre is `False`, this property's value should be ignored by the CM in favour of the SIM's default SMSC.

Returns
  A pending operation which will emit finished when the property has been set.

## § requestPropertyIMSI()

Tp::PendingVariant* Tp::Client::ConnectionInterfaceCellularInterface::requestPropertyIMSI | ( |  | ) | const

inline

Asynchronous getter for the remote object property `IMSI` of type `QString`.

The International Mobile Subscriber Identifier, if it exists. This would originate from a SIM card. If the IMSI is unknown, this will contain an empty string ("").

Returns
  A pending variant which will emit finished when the property has been retrieved.

## § requestPropertyMessageReducedCharacterSet()

Tp::PendingVariant* Tp::Client::ConnectionInterfaceCellularInterface::requestPropertyMessageReducedCharacterSet | ( |  | ) | const

inline

Asynchronous getter for the remote object property `MessageReducedCharacterSet` of type `bool`.

Determines how to encode SMSes containing characters that do not fit into a non-Unicode character set. If `False` (which SHOULD be the default), messages will be encoded as UCS-2 and sent with no loss of fidelity (at the potential financial cost of using twice as many SMSes); if `True`, the message will be recoded in an implementation‐specific way to fit into a GSM reduced character set.

Returns
  A pending variant which will emit finished when the property has been retrieved.

## § setPropertyMessageReducedCharacterSet()

Tp::PendingOperation* Tp::Client::ConnectionInterfaceCellularInterface::setPropertyMessageReducedCharacterSet | ( | bool | newValue | ) |

inline

Asynchronous setter for the remote object property `MessageReducedCharacterSet` of type `bool`.

Determines how to encode SMSes containing characters that do not fit into a non-Unicode character set. If `False` (which SHOULD be the default), messages will be encoded as UCS-2 and sent with no loss of fidelity (at the potential financial cost of using twice as many SMSes); if `True`, the message will be recoded in an implementation‐specific way to fit into a GSM reduced character set.

Returns
  A pending operation which will emit finished when the property has been set.

## § requestPropertyMessageNationalCharacterSet()

Tp::PendingVariant* Tp::Client::ConnectionInterfaceCellularInterface::requestPropertyMessageNationalCharacterSet | ( |  | ) | const

inline

Asynchronous getter for the remote object property `MessageNationalCharacterSet` of type `QString`.

Hint for the connection manager for the GSM character set that should be used to send SMSes. The connection manager SHOULD follow this hint unless it has other ways to determine a better encoding. If the value is `"gsm"` (which SHOULD be the default), SMSes will be encoded in the normal 7-bit GSM character set, eventually falling back to UCS-2; see the MessageReducedCharacterSet property for details. Other valid character sets are specified in the GSM standard and are, for instance, `"turkey"`, `"spain"` or `"portugal"`. If the SMS cannot be encoded using the requested character set the behaviour is implementation-specific, but it is RECOMMENDED that the connection manager should behave as if this property was set to `"gsm"`.

Returns
  A pending variant which will emit finished when the property has been retrieved.

## § setPropertyMessageNationalCharacterSet()

Tp::PendingOperation* Tp::Client::ConnectionInterfaceCellularInterface::setPropertyMessageNationalCharacterSet | ( | QString | newValue | ) |

inline

Asynchronous setter for the remote object property `MessageNationalCharacterSet` of type `QString`.

Hint for the connection manager for the GSM character set that should be used to send SMSes. The connection manager SHOULD follow this hint unless it has other ways to determine a better encoding. If the value is `"gsm"` (which SHOULD be the default), SMSes will be encoded in the normal 7-bit GSM character set, eventually falling back to UCS-2; see the MessageReducedCharacterSet property for details. Other valid character sets are specified in the GSM standard and are, for instance, `"turkey"`, `"spain"` or `"portugal"`. If the SMS cannot be encoded using the requested character set the behaviour is implementation-specific, but it is RECOMMENDED that the connection manager should behave as if this property was set to `"gsm"`.

Returns
  A pending operation which will emit finished when the property has been set.

## § requestAllProperties()

Tp::PendingVariantMap* Tp::Client::ConnectionInterfaceCellularInterface::requestAllProperties | ( |  | ) | const

inline

Request all of the DBus properties on the interface.

Returns
  A pending variant map which will emit finished when the properties have been retrieved.

## § IMSIChanged

void Tp::Client::ConnectionInterfaceCellularInterface::IMSIChanged | ( | const QString & | IMSI | ) |

signal

Represents the signal `IMSIChanged` on the remote object.

Emitted when the IMSI for the connection changes. This sort of thing is rare, but could happen on cellular phones that allow hot-swapping of SIM cards. In the case of SIM swapping, this signal would be emitted twice; the first time while the SIM is being ejected (with an empty string), and the second time after a new SIM has been inserted (assuming that the IMSI can be determined from the new SIM).

Parameters

  IMSI

      The new IMSI value. This may be an empty string in the case where
      the IMSI is being reset or removed.

## § invalidate()

void Tp::Client::ConnectionInterfaceCellularInterface::invalidate | ( | Tp::DBusProxy * | proxy,
|  | const QString & | error,
|  | const QString & | message
| ) |  |

protected virtual

Reimplemented from Tp::AbstractInterface.